h26731
s 00002/00002/00081
d D 1.6 83/03/29 13:10:51 mjb 6 5
c fixed existing data transfer to show and allow 16 values to be passed
e
s 00001/00001/00082
d D 1.5 83/03/11 14:14:36 mjb 5 4
c 
e
s 00002/00001/00081
d D 1.4 83/02/08 20:12:49 mjb 4 3
c restructured for overlaying menus
e
s 00003/00003/00079
d D 1.3 83/02/03 00:49:41 tes 3 2
c modified apdata interface to include last item to display
e
s 00005/00002/00077
d D 1.2 83/01/28 23:28:28 tes 2 1
c modified apmenu interface to include a clear screen flag
e
s 00079/00000/00000
d D 1.1 83/01/20 11:12:44 tes 1 0
c date and time created 83/01/20 11:12:44 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine mnugdt (item)
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Graph data menu manager                                #
#                                                                      #
#     Input Parameters:                                                #
#            item  - selected menu item                                #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            None                                                      #
#                                                                      #
########################################################################
SHORTINT item

SHORTINT jump
I 2
integer iclear
E 2

include(`gphcom')

I 2
data iclear /YES/

E 2
jump = item + 1
go to (DIG0,DIG1,DIG2,DIG3,DIG4,DIG5,DIG6,DIG7,DIG8,DIG9), jump

   DIG0 continue  # EXIT To Main
      call ggdatt (krmain)
D 2
      call apmenu (MAINxMENU)
E 2
I 2
D 4
      call apmenu (MAINxMENU, iclear)
E 4
I 4
      mid = MAINxMENU
      action = BREAKxOVERLAY
E 4
E 2
      go to OTHERxWISE

   DIG1 continue  # Next Page
      call ggdatt (krmain)
      krmain = krmain + 1
      if (krmain > 5) krmain = 1
      call clrdta (1)
D 6
      call cgdatt (krmain)
E 6
I 6
      call cgdatt (krmain, 15)
E 6
D 3
      call apdata (1)
E 3
I 3
      call apdata (1, FOREVER)
E 3
      go to OTHERxWISE

   DIG2 continue  # Previous Page
      call ggdatt (krmain)
      krmain = krmain - 1
D 5
      if (krmain < 1) krmain = 1
E 5
I 5
      if (krmain < 1) krmain = 5
E 5
      call clrdta (1)
D 6
      call cgdatt (krmain)
E 6
I 6
      call cgdatt (krmain, 15)
E 6
D 3
      call apdata (1)
E 3
I 3
      call apdata (1, FOREVER)
E 3
      go to OTHERxWISE

   DIG3 continue  # Graph Edit
      call ggdatt (krmain)
D 2
      call apmenu (GRAPHxEDIT) 
E 2
I 2
      call apmenu (GRAPHxEDIT, iclear)
E 2
      call cgeatt
D 3
      call apdata (1)
E 3
I 3
      call apdata (1, FOREVER)
E 3
      go to OTHERxWISE

   DIG4 continue
   DIG5 continue
   DIG6 continue
   DIG7 continue
   DIG8 continue
      go to OTHERxWISE

   DIG9 continue  # DISPLAY Graph
      call ggdatt (krmain)
      mid = GRAPHxDATAxFRAME
      action = SHOWxCHART
      device = CRT

   OTHERxWISE continue

   return
end
E 1
